import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ErzieherListeEintrag extends JavaObject {
    id: number;
    idSchueler: number;
    idErzieherArt: Number | null;
    anrede: String | null;
    name: String | null;
    vorname: String | null;
    email: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ErzieherListeEintrag;
    static transpilerToJSON(obj: ErzieherListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<ErzieherListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_erzieher_ErzieherListeEintrag(obj: unknown): ErzieherListeEintrag;
